## pixmap 0.1-2

=== DESCRIPTION ===
Package: pixmap
Version: 0.1-2
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.3)
Author: Friedrich Leisch and Roger Bivand
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images. 
License: GPL version 2.
