## pixmap 0.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: pixmap
-Version: 0.1-2
+Version: 0.2-1
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 1.3)
 Author: Friedrich Leisch and Roger Bivand
