## pixmap 0.3-3

=== DESCRIPTION ===
Package: pixmap
Version: 0.3-3
Date: 2003-09-03
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.6.0), methods
Author: Friedrich Leisch and Roger Bivand
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images. 
License: GPL version 2.
