## pixmap 0.4-0

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-0
Date: 2003-12-17
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 1.6.0), methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL version 2.
Collate: AAA.R pixmap.R addlogo.R pnmhead.R pnm.R
Packaged: Wed Dec 17 13:11:15 2003; leisch
