## pixmap 0.4-2

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-2
Date: 2004-09-29
Title:  Bitmap Images (``Pixel Maps'')
Depends: R (>= 2.0.0), methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@ci.tuwien.ac.at>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL version 2.
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
SaveImage: yes
Packaged: Wed Sep 29 13:31:38 2004; leisch
