## pixmap 0.4-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pixmap
-Version: 0.4-2
-Date: 2004-09-29
+Version: 0.4-3
+Date: 2005-07-25
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: R (>= 2.0.0), methods
 Author: Roger Bivand, Friedrich Leisch and Martin Mchler
@@ -10,4 +10,4 @@
 License: GPL version 2.
 Collate: pixmap.R addlogo.R pnmhead.R pnm.R
 SaveImage: yes
-Packaged: Wed Sep 29 13:31:38 2004; leisch
+Packaged: Mon Jul 25 12:53:29 2005; leisch
