## pixmap 0.4-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pixmap
-Version: 0.4-5
-Date: 2006-10-09
+Version: 0.4-6
+Date: 2007-01-20
 Title:  Bitmap Images (``Pixel Maps'')
 Depends: methods
 Author: Roger Bivand, Friedrich Leisch and Martin Mchler
@@ -10,4 +10,4 @@
 License: GPL-2
 Collate: pixmap.R addlogo.R pnmhead.R pnm.R
 SaveImage: yes
-Packaged: Mon Oct  9 18:44:49 2006; leisch
+Packaged: Sat Jan 20 14:06:57 2007; leisch
