## pixmap 0.4-7

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-7
Date: 2007-05-03
Title:  Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Mchler
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL-2
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
LazyLoad: yes
Packaged: Thu May  3 18:41:54 2007; leisch
