## pixmap 0.4-8

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-8
Date: 2008-06-26
Title:  Bitmap Images (``Pixel Maps'')
Depends: methods
Author: Roger Bivand, Friedrich Leisch and Martin Maechler
Maintainer: Friedrich Leisch <Friedrich.Leisch@R-project.org>
Description: Functions for import, export, plotting and other
  manipulations of bitmapped images.
License: GPL-2
Collate: pixmap.R addlogo.R pnmhead.R pnm.R
LazyLoad: yes
Packaged: Wed Jul  2 14:25:19 2008; leisch
