## pixmap 0.4-14

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-14
Date: 2025-07-25
Title: Bitmap Images / Pixel Maps
Imports: methods, graphics, grDevices
Authors@R: c(person("Roger", "Bivand", role = "aut", comment = c(ORCID = "0000-0003-2392-6140")),
	     person("Friedrich", "Leisch", role = "aut", comment = c(ORCID = "0000-0001-7278-1983", "maintainer 2001-2024")),
             person("Martin", "Maechler", role = "aut", comment = c(ORCID = "0000-0002-8685-9910")),
	     person("Achim", "Zeileis", role = "cre", email = "Achim.Zeileis@R-project.org", comment = c(ORCID = "0000-0003-0918-3766")))
Description: Functions for import, export, visualization and other manipulations of bitmapped images.
License: GPL-2
LazyLoad: yes
NeedsCompilation: no
Packaged: 2025-07-25 22:00:46 UTC; zeileis
Author: Roger Bivand [aut] (ORCID: <https://orcid.org/0000-0003-2392-6140>),
  Friedrich Leisch [aut] (ORCID: <https://orcid.org/0000-0001-7278-1983>,
    maintainer 2001-2024),
  Martin Maechler [aut] (ORCID: <https://orcid.org/0000-0002-8685-9910>),
  Achim Zeileis [cre] (ORCID: <https://orcid.org/0000-0003-0918-3766>)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2025-07-26 05:30:02 UTC
