=== debian/changelog ===
pixmap (2.6pl4-1) unstable; urgency=low

  * new source packaging.
  * upgraded to upstream version (although previous (2.6.pl2-5) version
    had most of the patches 2.6.pl4 already in.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 26 Oct 1996 13:33:28 +0200

Local variables:
mode: debian-changelog
End:
