=== debian/control ===
Source: pixmap
Section: x11
Priority: Optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: pixmap
Description: A pixmap editor.
 Pixmap is a pixmap editor.  It has functionality similar to that
 of Bitmap, a bitmap editor, which comes with the X Window System.
Depends: ${shlibs:Depends}
Architecture: any
