## pixmap 2.6.6

=== debian/changelog ===
pixmap (2.6.6-1) unstable; urgency=medium

  * New upstream version.
  * Packaging now based on dh as far as that's possible with an
    Imake-based package.
    closes:#999119
  * Work around the binutils mess that means xutils-dev needs to fix Imake
    (see #981072, #997628 and #994276).
    closes:#997627
  * Replaced menu file with FreeDesktop entry.

 -- Paul Slootman <paul@debian.org>  Tue, 23 Nov 2021 16:16:09 +0100

pixmap (2.6pl4-20) unstable; urgency=medium

  * Fix mtimes before building binary packages to produce reproducible output.
    closes:#793709
    Somehow this bug wasn't listed at https://bugs.debian.org/pixmap which is
    why it wasn't included in the previous upload.

 -- Paul Slootman <paul@debian.org>  Wed, 17 Aug 2016 13:34:16 +0200

pixmap (2.6pl4-19) unstable; urgency=low

  * Make the build reproducible, thanks to patch from Chris Lamb.
    closes:#777430
  * Check for potential buffer overflow with overly long HOME environment
    variable. closes:#507106

 -- Paul Slootman <paul@debian.org>  Wed, 17 Aug 2016 13:14:31 +0200

pixmap (2.6pl4-18) unstable; urgency=low

  * really handle nostrip build option now, thanks to patch from Cesare
    Tirabassi from Ubuntu.
    closes:#491561
  * Removed hack for getenv(), as it now seems to work, at least with stdlib.h
  * included (also thanks to Cesare Tirabassi).

 -- Paul Slootman <paul@debian.org>  Tue, 22 Jul 2008 10:35:14 +0200

pixmap (2.6pl4-17) unstable; urgency=low

  * Build depend on xbitmaps, which provides /usr/include/X11/bitmaps/xlogo16

 -- Paul Slootman <paul@debian.org>  Mon, 02 Jun 2008 19:14:19 +0200

pixmap (2.6pl4-16) unstable; urgency=low

  * The shipped Makefile doesn't contain a distclean target, while the
    generated version does. Hence first try make distclean in clean target,
    else fallback to make clean.
    closes:#484044

 -- Paul Slootman <paul@debian.org>  Mon, 02 Jun 2008 12:28:26 +0200

pixmap (2.6pl4-15) unstable; urgency=low

  * Acknowledge previous NMUs, thanks!
    closes:#355450,#366867
  * Don't install to /usr/lib/X11/, and don't refer to /usr/X11R6/include/.
  * Updated standards version to 3.7.3.0.
  * Remove build-dependency on xlibs-data.
    closes:#419018
  * Also cleaned up build-dependencies some more.
  * Add (dummy) binary-indep target in debian/rules.
    closes:#395735
  * Handle nostrip build option.
    closes:#437775

 -- Paul Slootman <paul@debian.org>  Fri, 30 May 2008 17:26:26 +0200

pixmap (2.6pl4-14.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Xorg7 migration (Closes: #365260):
    - Build-depend on xutils-dev for FHS-compliant xmkmf.
    - Pre-depend on x11-common (>= 1:7.0.0) to get /usr/lib/X11 as a
      directory instead of a symlink.
    - Fix Pixmap.h to include <X11/xpm.h> instead of the broken "xpm.h".
    - Fix up all paths under debian/ to use the FHS paths instead of
      /usr/X11R6
    - Look for rgb.txt in $(CONFDIR) instead of $(LIBDIR)

 -- Luk Claes <luk@debian.org>  Wed, 10 May 2006 00:46:58 +0200

pixmap (2.6pl4-14.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update xlibs-dev build-dep (Closes: #347095).
  * Remove X11 dir in build target (Closes: #349443).

 -- Luk Claes <luk@debian.org>  Sun,  5 Mar 2006 19:37:51 +0100

pixmap (2.6pl4-14) unstable; urgency=low

  * Removed libxaw-dev from Build-Depends; replaced with libxaw7-dev.
    closes:#169981
  * Updated location of app-defaults file in manpage.
  * Made default font a little smaller in the app-defaults file.

 -- Paul Slootman <paul@debian.org>  Fri,  9 Jan 2004 09:11:52 +0100

pixmap (2.6pl4-13) unstable; urgency=low

  * Actually put the the list of conffiles in the package. closes:#132187
  * Apparently install -s does a different strip than when linking with -s
    (.code and .comment fields were left behind).
  * Added -isp to dpkg-gencontrol to include the section and priority.

 -- Paul Slootman <paul@debian.org>  Fri, 15 Feb 2002 10:22:36 +0100

pixmap (2.6pl4-12) unstable; urgency=low

  * Hacked around HP_Architecture test in Imakefile, which is only for HPUX
    closes:#104715
  * Made the long description actually useful. closes:#93824

 -- Paul Slootman <paul@debian.org>  Mon, 23 Jul 2001 19:31:51 +0200

pixmap (2.6pl4-11) unstable; urgency=low

  * Added libxaw-dev to Build-Depends. closes:#86595

 -- Paul Slootman <paul@debian.org>  Mon, 19 Feb 2001 21:34:59 +0100

pixmap (2.6pl4-10) unstable; urgency=low

  * Listed the app-defaults files as conffiles (as they're under /etc now)
  * changed section to graphics to agree with the overrides

 -- Paul Slootman <paul@debian.org>  Fri, 16 Feb 2001 11:57:57 +0100

pixmap (2.6pl4-9) unstable; urgency=low

  * Updated Standards-Version to 3.5.0.
  * As a consequence, moved app-defaults file to /etc/X11/app-defaults
  * Added menu hint, closes:#80158

 -- Paul Slootman <paul@debian.org>  Thu, 15 Feb 2001 14:17:39 +0100

pixmap (2.6pl4-8) unstable; urgency=low

  * Updated Standards-Version to 3.0.1.

 -- Paul Slootman <paul@debian.org>  Thu, 28 Oct 1999 17:07:27 +0200

pixmap (2.6pl4-7) unstable; urgency=low

  * Forgot to change debian/control to reflect new maintainer :-(
  * now lintian-clean.

 -- Paul Slootman <paul@debian.org>  Tue,  5 Jan 1999 17:38:29 +0100

pixmap (2.6pl4-6) unstable; urgency=low

  * New maintainer.
  * remove debian/files, debian/substvars in clean target (common packaging
    error number 3). See bug #28163
  * Change the order of a couple of lines in debian/control to something more
    usual. See bug #22653, 28269
  * Don't compress the copyright file. fixes:#14494
  * Don't use getwd() on Linux (use getcwd() instead)
  * Fixed a couple of warnings (on Alpha)
  * The following bugs seem to have already been fixed, but not yet closed in
    the BTS: 12928, 14935, 27849

 -- Paul Slootman <paul@debian.org>  Tue, 15 Dec 1998 10:07:26 +0100

pixmap (2.6pl4-5) unstable; urgency=low


