=== debian/control ===
Source: pixmap
Section: graphics
Priority: optional
Maintainer: Paul Slootman <paul@debian.org>
Standards-Version: 4.5.1
Build-Depends: xutils-dev, libxaw7-dev, xbitmaps, debhelper(>=13~)

Package: pixmap
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: x11-common (>= 1:7.0.0)
Architecture: any
Description: editor for pixmap files
 Pixmap is a tool for creating or editing rectangular images made up of colored
 pixels, i.e., pixmaps. Pixmaps are intensively used in X to define window
 backgrounds, icon images, etc.  These are for example used as icons on the
 desktop or in the Debian menu.
